\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3, xstep=1cm,ystep=1cm] (-5,0) grid (5,6);
\clip(-5,0) rectangle (5,6);
\draw [line width=1.5pt,color=A1] (-4,5)-- (-1,4);
\draw [line width=1.5pt,color=A1] (-1,4)-- (0,5);
\draw [line width=1.5pt,color=A1] (0,5)-- (1,4);
\draw [line width=1.5pt,color=A1] (1,4)-- (4,5);
\draw [line width=1.5pt,color=A1] (4,5)-- (2,3);
\draw [line width=1.5pt,color=A1] (2,3)-- (4,1);
\draw [line width=1.5pt,color=A1] (4,1)-- (1,2);
\draw [line width=1.5pt,color=A1] (1,2)-- (0,1);
\draw [line width=1.5pt,color=A1] (0,1)-- (-1,2);
\draw [line width=1.5pt,color=A1] (-1,2)-- (-4,1);
\draw [line width=1.5pt,color=A1] (-4,1)-- (-2,3);
\draw [line width=1.5pt,color=A1] (-2,3)-- (-4,5);
\draw [line width=1.5pt,color=H2] (-2,4)-- (-0.5,3.5);
\draw [line width=1.5pt,color=H2] (-0.5,3.5)-- (0,4);
\draw [line width=1.5pt,color=H2] (0,4)-- (0.5,3.5);
\draw [line width=1.5pt,color=H2] (0.5,3.5)-- (2,4);
\draw [line width=1.5pt,color=H2] (2,4)-- (1,3);
\draw [line width=1.5pt,color=H2] (1,3)-- (2,2);
\draw [line width=1.5pt,color=H2] (2,2)-- (0.5,2.5);
\draw [line width=1.5pt,color=H2] (0.5,2.5)-- (0,2);
\draw [line width=1.5pt,color=H2] (0,2)-- (-0.5,2.5);
\draw [line width=1.5pt,color=H2] (-0.5,2.5)-- (-2,2);
\draw [line width=1.5pt,color=H2] (-2,2)-- (-1,3);
\draw [line width=1.5pt,color=H2] (-1,3)-- (-2,4);
\end{tikzpicture}
\end{document}